# -*- coding: utf-8 -*-
from setuphelpers import *
from setupdevhelpers import *
import os
import json


def update_package():
    proxies = get_proxies_from_wapt_console()

    url_api = "https://api.github.com/repos/glpi-project/glpi-agent/releases"

    json_load = json.loads(wgets(url_api, proxies=proxies))

    found = False
    for releases in json_load:
        if found:
            break
        for download in releases["assets"]:
            if download["browser_download_url"].endswith("x86_64.pkg"):
                url_dl = download["browser_download_url"]
                binary = url_dl.split("/")[-1]
                found = True
                break


    version = binary.split('-')[2].split('_')[0]
    allbin = glob.glob("*.pkg")
    for f in allbin:
        if f != binary:
            remove_file(f)

    if not isfile(binary):
        wget(url_dl,binary,proxies=proxies)

    control.version = version + "-0"
    control.save_control_to_wapt()
